View Issue Details

IDProjectCategoryView StatusLast Update
11769Feature requests[All Projects] ComfortUpdatepublic2017-09-22 11:13
ReporterMazi Assigned ToLouisGac  
PriorityurgentSeverityfeature 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version2.x.x 
Summary11769: Feature to remove ComfortUpdate key is missing
Description

Sometimes you are updating a Limesurvey system for a customer and when using your own ComfortUpdate key, there is no way to remove the key after an update. Theoretically, they can continue using the key instead of getting their own one.

TagsNo tags attached.

Activities

LouisGac

LouisGac

2016-10-10 14:30

manager   ~41212

To be accurate, to create/update/delete from Global Settings.

jelo

jelo

2016-12-07 17:33

partner   ~42463

To prevent the theft of keys a way to hide key in GUI should be implemented as well. E.g. quite common with commercial Wordpress plugins where website developer use developers key which shouldn't be copied by other users of the Wordpress installation.

LouisGac

LouisGac

2016-12-07 17:46

manager   ~42465

ok, I'll do it to. with a param in config file?

jelo

jelo

2016-12-08 16:53

partner   ~42478

Param in config looks ok to me.

LouisGac

LouisGac

2016-12-08 17:36

manager   ~42479

Done:
https://github.com/LimeSurvey/LimeSurvey/commit/3529ccf1718a1dcbe1d831e0566504a92c8befd7

Issue History

Date Modified Username Field Change
2016-10-10 14:28 Mazi New Issue
2016-10-10 14:28 Mazi Status new => assigned
2016-10-10 14:28 Mazi Assigned To => LouisGac
2016-10-10 14:30 LouisGac Note Added: 41212
2016-11-15 19:18 LouisGac Priority none => urgent
2016-12-07 14:38 LouisGac Sticky Issue No => Yes
2016-12-07 17:33 jelo Note Added: 42463
2016-12-07 17:46 LouisGac Note Added: 42465
2016-12-08 16:53 jelo Note Added: 42478
2016-12-08 17:36 LouisGac Note Added: 42479
2016-12-08 17:36 LouisGac Status assigned => resolved
2016-12-08 17:36 LouisGac Resolution open => fixed
2016-12-08 17:36 LouisGac Sticky Issue Yes => No
2017-09-22 11:13 c_schmitz Status resolved => closed
2017-09-22 11:13 c_schmitz Fixed in Version => 2.x.x